import 'package:cargocalculaterapp/core/error/failure.dart';
import 'package:cargocalculaterapp/core/usecase/usecase.dart';
import 'package:cargocalculaterapp/features/profile/data/models/profile_response.dart';
import 'package:dartz/dartz.dart';
import '../repository/profile_repository.dart';

class ProfileUseCase extends UseCase<ProfileResponse, bool> {
  final ProfileRepository repository;

  ProfileUseCase(this.repository);

  @override
  Future<Either<Failure, ProfileResponse>> call(bool params) async {
    final response = await repository.getProfile(params);
    return response;
  }
}
